Subject: Summary: tar files

From: [email-masked] (Grant Handford)
Date: Wed, 20 Nov 1996 04:48:16 -0800 (PST)

Here is Part I of my summary concerning the conversion of tar files into
usable form.  It is designed for those who, like myself, did not know how to
uudecode tar files like the ones e-mailed to us on the CCL cocerning the
special announcement about the new Gaussian program which included a seven
part series of program segments (tar.uu files).

        I wish to thank all of you who responded to my query.  It was very
much appreciated.

Sincerely,
Grant.
E-mail:- [email-masked]

****************************************************************************
****************************************************************************
********>> I am just getting
>> started at using a computer for e-mail, Internet, etc.  I need to know how
>> to convert compressed tar files into usable form.
>
>On the machine running UNIX you can do following:
>
>   1) Make a directory (say myprog) which you want to be a top of the tree
>      of directories for a tar archive
>           mkdir myprog
>
>   2) Copy a compressed tar file (i.e., file which has the *.tar.Z or
>      *.tar.gz extension, e.g., myprog.tar.Z or myprog.tar.gz)
>      to the myprog directory
>          
>
>   3) Execute the command:
>         a) for a *.tar.Z archive
>               zcat myprog.tar.Z | tar xvof -
>         a) for a *.tar.gz
>               gunzip -c myprog.tar.gz
>
>and the files from the archive will stored under the myprog directory.
>
>Note on uudecoding. If you receive a uuencoded file (sorry....) via e-mail,
>i.e.,  a file which has a following format:
>
>begin 644 myprog.tar.Z
>M86YI;6%T92YF````````````````````````````````````````````````
>M````````````````````````````````````````````````````````````
>M-------*and*so*on*------------------------------------------
>  .......... many lines like this.
>`
>end
>
>then you know it is an uuencoded file, i.e., a file, usually binary,
>which was converted to a special format so the electronic mail does
>not mess it up (plain electronic mail, in principle, would alter most
>binary files which contain unprintable characters). To convert the
>uuencoded file into an original binary file, you need to save it,
>e.g., as myprog.uu, and the use the uudecode program as:
>    uudecode myprog.uu
>This will recreate the original binary file, myprog.tar.Z in our case.
>Sometimes larger uuencoded files are split into smaller messages.
>In this case, you need to join all the pieces together in the order
>specified, delete all e-mail headers, and leave no gaps. Only then you
>can use uudecode. Of course, there are e-mail programs that will do
>it for you automaticall, and tools which will make it easier, but
>if you do not have them, you still can do it by hand.
>
>Jan Labanowski
>[email-masked]
>
>
>
****************************************************************************
****************************************************************************
********

Sincerely,
Grant.
E-mail:- [email-masked]